=== debian/changelog ===
ros-galactic-joint-trajectory-controller (1.5.1-1focal) focal; urgency=high

  * [backport] Fix for high CPU usage by JTC in gzserver (#428 <https://github.com/ros-controls/ros2_controllers/issues/428>) (#437 <https://github.com/ros-controls/ros2_controllers/issues/437>)
    * Change type cast wall timer period from second to nanoseconds.
    create_wall_timer() expects delay in nanoseconds (duration object) however the type cast to seconds will result in 0 (if duration is less than 1s) and thus causing timer to be fired non stop resulting in very high CPU usage.
    * Reset smartpointer so that create_wall_timer() call can destroy previous trajectory timer.
    node->create_wall_timer() first removes timers associated with expired smartpointers before servicing current request.  The JTC timer pointer gets overwrite only after the create_wall_timer() returns and thus not able to remove previous trajectory timer resulting in upto two timers running for JTC during trajectory execution.  Althougth the previous timer does nothing but still get fired.
  * Contributors: Arshad Mehmood

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 22 Sep 2022 23:00:00 -0000

ros-galactic-joint-trajectory-controller (1.5.0-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 02 Aug 2022 23:00:00 -0000

ros-galactic-joint-trajectory-controller (1.4.0-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 23 Feb 2022 00:00:00 -0000

ros-galactic-joint-trajectory-controller (1.3.0-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 11 Jan 2022 00:00:00 -0000

ros-galactic-joint-trajectory-controller (1.2.0-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 29 Dec 2021 00:00:00 -0000

ros-galactic-joint-trajectory-controller (1.1.0-1focal) focal; urgency=high

  * Move interface sorting into ControllerInterface (#259 <https://github.com/ros-controls/ros2_controllers/issues/259>)
  * Revise for-loop style (#254 <https://github.com/ros-controls/ros2_controllers/issues/254>)
  * Contributors: bailaC

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 24 Oct 2021 23:00:00 -0000

ros-galactic-joint-trajectory-controller (1.0.0-1focal) focal; urgency=high

  * Remove compile warnings. (#245 <https://github.com/ros-controls/ros2_controllers/issues/245>)
  * Add time and period to update function (#241 <https://github.com/ros-controls/ros2_controllers/issues/241>)
  * Quickfix 🛠: Correct confusing variable name (#240 <https://github.com/ros-controls/ros2_controllers/issues/240>)
  * Unify style of controllers. (#236 <https://github.com/ros-controls/ros2_controllers/issues/236>)
  * Change test to work with Foxy and posterior action API (#237 <https://github.com/ros-controls/ros2_controllers/issues/237>)
  * ros2_controllers code changes to support ros2_controls issue #489 <https://github.com/ros-controls/ros2_controllers/issues/489> (#233 <https://github.com/ros-controls/ros2_controllers/issues/233>)
  * Removing Boost from controllers. (#235 <https://github.com/ros-controls/ros2_controllers/issues/235>)
  * refactor get_current_state to get_state (#232 <https://github.com/ros-controls/ros2_controllers/issues/232>)
  * Contributors: Bence Magyar, Denis Štogl, Márk Szitanics, Tyler Weaver, bailaC

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 28 Sep 2021 23:00:00 -0000

ros-galactic-joint-trajectory-controller (0.5.0-1focal) focal; urgency=high

  * Add auto declaration of parameters. (#224 <https://github.com/ros-controls/ros2_controllers/issues/224>)
  * Bring precommit config up to speed with ros2_control (#227 <https://github.com/ros-controls/ros2_controllers/issues/227>)
  * Add initial pre-commit setup. (#220 <https://github.com/ros-controls/ros2_controllers/issues/220>)
  * Enable JTC for hardware having offset from state measurements (#189 <https://github.com/ros-controls/ros2_controllers/issues/189>)
    * Avoid "jumps" with states that have tracking error. All test are passing but separatelly. Is there some kind of timeout?
    * Remove allow_integration_flag
    * Add reading from command interfaces when restarting controller
  * Reduce docs warnings and correct adding guidelines (#219 <https://github.com/ros-controls/ros2_controllers/issues/219>)
  * Contributors: Bence Magyar, Denis Štogl, Lovro Ivanov

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 29 Aug 2021 23:00:00 -0000

ros-galactic-joint-trajectory-controller (0.4.1-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 07 Jul 2021 23:00:00 -0000

ros-galactic-joint-trajectory-controller (0.4.0-1focal) focal; urgency=high

  * Force torque sensor broadcaster (#152 <https://github.com/ros-controls/ros2_controllers/issues/152>)
    * Stabilize joint_trajectory_controller tests
    * Add  rclcpp::shutdown(); to all standalone test functions
  * Fixes for Windows (#205 <https://github.com/ros-controls/ros2_controllers/issues/205>)
    * Export protected joint trajectory controller functions
  * Fix deprecation warnings on Rolling, remove rcutils dependency (#204 <https://github.com/ros-controls/ros2_controllers/issues/204>)
  * Fix parameter initialisation for galactic (#199 <https://github.com/ros-controls/ros2_controllers/issues/199>)
    * Fix parameter initialisation for galactic
    * Fix forward_command_controller the same way
    * Fix other compiler warnings
    * Missing space
  * Fix rolling build (#200 <https://github.com/ros-controls/ros2_controllers/issues/200>)
    * Fix rolling build
    * Stick to printf style
    * Add back :: around interface type
    Co-authored-by: Bence Magyar <mailto:bence.magyar.robotics@gmail.com>
  * Contributors: Akash, Bence Magyar, Denis Štogl, Tim Clephas, Vatan Aksoy Tezer

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 27 Jun 2021 23:00:00 -0000


