=== debian/control ===
Source: ros-galactic-joint-trajectory-controller
Section: misc
Priority: optional
Maintainer: Bence Magyar <bence.magyar.robotics@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-galactic-ament-cmake, ros-galactic-ament-cmake-gtest, ros-galactic-angles, ros-galactic-control-msgs, ros-galactic-controller-interface, ros-galactic-controller-manager, ros-galactic-hardware-interface, ros-galactic-pluginlib, ros-galactic-rclcpp, ros-galactic-rclcpp-lifecycle, ros-galactic-realtime-tools, ros-galactic-ros2-control-test-assets, ros-galactic-trajectory-msgs, ros-galactic-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-galactic-joint-trajectory-controller
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-galactic-angles, ros-galactic-control-msgs, ros-galactic-controller-interface, ros-galactic-hardware-interface, ros-galactic-pluginlib, ros-galactic-rclcpp, ros-galactic-rclcpp-lifecycle, ros-galactic-realtime-tools, ros-galactic-trajectory-msgs, ros-galactic-ros-workspace
Description: Controller for executing joint-space trajectories on a group of joints
